icegridadmin(1)

NAME

icegridadmin - The IceGrid command-line administrative utility.

SYNOPSIS

icegridadmin [options]

DESCRIPTION

The icegridadmin utility is a command-line tool for administering an IceGrid domain. Deploying an application with this utility requires an XML file that defines the descriptors. Full documentation for icegridadmin is available online at:
https://doc.zeroc.com/ice/3.7/ice-services/icegrid/icegridadmin-command-line-tool

OPTIONS

-h, --help
    Show program help.

-v, --version
    Display the Ice version.

-e COMMANDS
    Execute COMMANDS.

-d, --debug
    Print debug messages.

-s, --server
    Start icegridadmin as a server (to parse XML files).

-i, --instanceName
    Connect to the registry with the given instance name.

-H, --host
    Connect to the registry at the given host.

-P, --port
    Connect to the registry running on the given port.

-u, --username
    Login with the given username.

-p, --password
    Login with the given password.

-S, --ssl
    Authenticate through SSL.

-r, --replica NAME
    Connect to the replica NAME.

SEE ALSO

icegriddb(1), icegridnode(1), icegridregistry(1)